My Project: dgContactMaterial Class Reference

My Project

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
dgContactMaterial Class Reference

`#include <dgContact.h>`

Inheritance diagram for dgContactMaterial:

## Public Types

enum | { m_collisionEnable = 1<<0, m_friction0Enable = 1<<1, m_friction1Enable = 1<<2, m_override0Accel = 1<<3, m_override1Accel = 1<<4, m_overrideNormalAccel = 1<<5 }
typedef void(dgApi * | OnContactCallback) (dgContact &contactJoint, dgFloat32 timestep, dgInt32 threadIndex)
typedef bool(dgApi * | OnAABBOverlap) (const dgContactMaterial &material, const dgBody &body0, const dgBody &body1, dgInt32 threadIndex)
typedef bool(dgApi * | OnCompoundCollisionPrefilter) (const dgContactMaterial &material, const dgBody *bodyA, const void *collisionNodeA, const dgBody *bodyB, const void *collisionNodeB, dgInt32 threadIndex)

## Public Member Functions

| dgContactMaterial ()
void * | GetUserData () const
void | SetUserData (void *const userData)
void | SetCollisionCallback (OnAABBOverlap abbOvelap, OnContactCallback callback)
void | SetCompoundCollisionCallback (OnCompoundCollisionPrefilter abbCompounndOvelap)

## Public Attributes

dgVector | m_dir0
dgVector | m_dir1
dgForceImpactPair | m_normal_Force
dgForceImpactPair | m_dir0_Force
dgForceImpactPair | m_dir1_Force
dgFloat32 | m_softness
dgFloat32 | m_restitution
dgFloat32 | m_staticFriction0
dgFloat32 | m_staticFriction1
dgFloat32 | m_dynamicFriction0
dgFloat32 | m_dynamicFriction1
dgFloat32 | m_skinThickness
dgInt32 | m_flags
Public Attributes inherited from dgContactPoint
dgVector | m_point
dgVector | m_normal
const dgBody * | m_body0
const dgBody * | m_body1
const dgCollisionInstance * | m_collision0
const dgCollisionInstance * | m_collision1
dgInt64 | m_shapeId0
dgInt64 | m_shapeId1
dgFloat32 | m_penetration

## Friends

class | dgWorld
class | dgBroadPhase
class | dgCollisionScene
class | dgCollisionCompound
class | dgWorldDynamicUpdate
class | dgSolverWorlkerThreads
class | dgCollidingPairCollector
class | dgBroadPhaseMaterialCallbackWorkerThread

## Member Typedef Documentation

## § OnAABBOverlap

typedef bool(dgApi * dgContactMaterial::OnAABBOverlap) (const dgContactMaterial &material, const dgBody &body0, const dgBody &body1, dgInt32 threadIndex)

## § OnCompoundCollisionPrefilter

typedef bool(dgApi * dgContactMaterial::OnCompoundCollisionPrefilter) (const dgContactMaterial &material, const dgBody *bodyA, const void *collisionNodeA, const dgBody *bodyB, const void *collisionNodeB, dgInt32 threadIndex)

## § OnContactCallback

typedef void(dgApi * dgContactMaterial::OnContactCallback) (dgContact &contactJoint, dgFloat32 timestep, dgInt32 threadIndex)

## Member Enumeration Documentation

## § anonymous enum

anonymous enum

Enumerator
m_collisionEnable |
m_friction0Enable |
m_friction1Enable |
m_override0Accel |
m_override1Accel |
m_overrideNormalAccel |

## Constructor & Destructor Documentation

## § dgContactMaterial()

dgContactMaterial::dgContactMaterial | ( |  | ) |

## Member Function Documentation

## § GetUserData()

void * dgContactMaterial::GetUserData | ( |  | ) | const

inline

## § SetCollisionCallback()

void dgContactMaterial::SetCollisionCallback | ( | OnAABBOverlap | abbOvelap,
|  | OnContactCallback | callback
| ) |  |

inline

## § SetCompoundCollisionCallback()

void dgContactMaterial::SetCompoundCollisionCallback | ( | OnCompoundCollisionPrefilter | abbCompounndOvelap | ) |

inline

## § SetUserData()

void dgContactMaterial::SetUserData | ( | void *const | userData | ) |

inline

## Friends And Related Function Documentation

## § dgBroadPhase

friend class dgBroadPhase

friend

## § dgBroadPhaseMaterialCallbackWorkerThread

friend class dgBroadPhaseMaterialCallbackWorkerThread

friend

## § dgCollidingPairCollector

friend class dgCollidingPairCollector

friend

## § dgCollisionCompound

friend class dgCollisionCompound

friend

## § dgCollisionScene

friend class dgCollisionScene

friend

## § dgSolverWorlkerThreads

friend class dgSolverWorlkerThreads

friend

## § dgWorld

friend class dgWorld

friend

## § dgWorldDynamicUpdate

friend class dgWorldDynamicUpdate

friend

## Member Data Documentation

## § m_dir0

dgVector dgContactMaterial::m_dir0

## § m_dir0_Force

dgForceImpactPair dgContactMaterial::m_dir0_Force

## § m_dir1

dgVector dgContactMaterial::m_dir1

## § m_dir1_Force

dgForceImpactPair dgContactMaterial::m_dir1_Force

## § m_dynamicFriction0

dgFloat32 dgContactMaterial::m_dynamicFriction0

## § m_dynamicFriction1

dgFloat32 dgContactMaterial::m_dynamicFriction1

## § m_flags

dgInt32 dgContactMaterial::m_flags

## § m_normal_Force

dgForceImpactPair dgContactMaterial::m_normal_Force

## § m_restitution

dgFloat32 dgContactMaterial::m_restitution

## § m_skinThickness

dgFloat32 dgContactMaterial::m_skinThickness

## § m_softness

dgFloat32 dgContactMaterial::m_softness

## § m_staticFriction0

dgFloat32 dgContactMaterial::m_staticFriction0

## § m_staticFriction1

dgFloat32 dgContactMaterial::m_staticFriction1

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/physics/dgContact.h
- dynamics.mod/NewtonDynamics/source/physics/dgContact.cpp